# VecRegisterAll

Registers all of the vector components in the Vec package.

### Synopsis

    #include "vec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecRegisterAll(const char path[])

Not Collective

### Input parameter

path -The dynamic library path

### Keywords

Vec, register, all

### See Also

VecRegister(), VecRegisterDestroy(), VecRegisterDynamic()

Level:advanced
Location: src/vec/vec/interface/vecregall.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages